CURLMOPT_SOCKETDATA(3)

NAME
CURLMOPT_SOCKETDATA - custom pointer passed to the socket callback

SYNOPSIS
#include <curl/curl.h>

CURLMcode curl_multi_setopt(CURLM *handle, CURLMOPT_SOCKETDATA, void *pointer);

DESCRIPTION
A data pointer to pass to the socket callback set with the CURLMOPT_SOCKETFUNCTION(3) option.

This pointer will not be touched by libcurl but will only be passed in to the socket callbacks's userp argument.

DEFAULT
NULL

PROTOCOLS
All

EXAMPLE
TODO

AVAILABILITY
Added in 7.15.4

RETURN VALUE
Returns CURLM_OK.

SEE ALSO
CURLMOPT_SOCKETFUNCTION(3), curl_multi_socket_action(3), CURLMOPT_TIMERFUNCTION(3)